<?php
/*
Plugin Name: Advanced NOAA Weather Forecast
Plugin URI: http://www.rollybueno.info/advanced-noaa-weather-forecast
Description: Advanced NOAA Weather Forecast is a tool for displaying daily forecast straight from NOAA. Forecast includes default icons.
Version: 1.0
Author: Rolly G. Bueno Jr.
Author URI: http://www.rollybueno.info
License: A "Slug" license name e.g. GPL2

   Copyright 2012 Rolly G. Bueno Jr.

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License, version 2, as 
    published by the Free Software Foundation.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
    
    Powered by PHP Simple HTML DOM Parser.
*/
define('PLUGINPATH', ABSPATH . 'wp-content/plugins/noaa-7-days-forecast');
add_action('wp_head', 'anoaawf_head');

//plugin installation
//create new table upon activating plugin
function anoaawf_install()
{
    global $wpdb;
    $table = $wpdb->prefix . "noaa";
	if($wpdb->get_var("show tables like '$table'") != $table) {
	    $sql = "CREATE TABLE " . $table . " (
	    				  ID varchar(5) COLLATE utf8_unicode_ci NOT NULL,
	    				  Lat float NOT NULL,
	    				  Lon float NOT NULL,
	    				  Location varchar(100) COLLATE utf8_unicode_ci NOT NULL,
  					  PRIMARY KEY (ID)
					)";
		require_once(ABSPATH . 'wp-admin/includes/upgrade.php');
	    dbDelta($sql);
	}
}

//add data to table
function anoaawf_install_data() 
{
	global $wpdb;
	$table = $wpdb->prefix . "noaa";
	
 	mysql_query("INSERT INTO " . $table . " (ID, Lat, Lon, Location) VALUES
('ANB', 33.58, 85.85, 'Anniston,AL'),
('AUO', 32.67, 85.44, 'Auburn,AL'),
('BHM', 33.57, 86.75, 'Birmingham,AL'),
('CKL', 32.9, 87.25, 'Centreville,AL'),
('DHN', 31.32, 85.45, 'Dothan,AL'),
('OZR', 31.28, 85.72, 'Fort Rucker,AL'),
('GAD', 33.97, 86.09, 'Gadsden,AL'),
('HSV', 34.65, 86.77, 'Huntsville,AL'),
('MXF', 32.38, 86.37, 'Maxwell AFB,AL'),
('MOB', 30.68, 88.25, 'Mobile,AL'),
('BFM', 30.63, 88.07, 'Mobile Aeros,AL'),
('MGM', 32.3, 86.4, 'Montgomery,AL'),
('MSL', 34.75, 87.62, 'Muscle Shoal,AL'),
('SEM', 32.34, 86.99, 'Selma,AL'),
('TOI', 31.87, 86.02, 'Troy,AL'),
('TCL', 33.23, 87.62, 'Tuscaloosa,AL'),
('ADK', 51.88, 176.65, 'Adak,AK'),
('Z60', 67.1, 157.85, 'Ambler,AK'),
('ANC', 61.17, 150.02, 'Anchorage,AK'),
('MRI', 61.22, 149.85, 'Anchorage,AK'),
('AGN', 57.83, 134.97, 'Angoon,AK'),
('ANI', 61.58, 159.53, 'Aniak,AK'),
('ANN', 55.03, 131.57, 'Annette Isl,AK'),
('ATU', 53.5, 173.3, 'Attu,AK'),
('BRW', 71.3, 156.78, 'Barrow,AK'),
('BTI', 70.13, 143.63, 'Barter Islan,AK'),
('BET', 60.78, 161.8, 'Bethel Arpt,AK'),
('BTT', 66.92, 151.52, 'Bettles,AK'),
('BIG', 64, 145.73, 'Big Delta,AK'),
('5BI', 60.82, 152.3, 'Big River Lk,AK'),
('Z68', 63.38, 148.95, 'Cantwell,AK'),
('CDE', 56, 134.22, 'Cape Decis,AK'),
('5HN', 60.38, 147.08, 'Cape Hinchi,AK'),
('CSP', 58.33, 137.05, 'Cape Spence,AK'),
('5CE', 60.33, 145, 'Cape St Eli,AK'),
('WCR', 67.5, 148.48, 'Chandalar Lk,AK'),
('Z00', 62.88, 149.83, 'Chulitna,AK'),
('CRC', 65.83, 144.07, 'Circle City,AK'),
('CDB', 55.2, 162.72, 'Cold Bay,AK'),
('CDV', 60.5, 145.5, 'Cordova,AK'),
('CGA', 55.8, 133.25, 'Craig,AK'),
('SCC', 70.2, 148.47, 'Deadhorse,AK'),
('DLG', 59.05, 158.52, 'Dillingham,AK'),
('5SZ', 62.73, 143.92, 'Duffys Tavern,AK'),
('DUT', 53.88, 166.53, 'Dutch Harbor,AK'),
('EAA', 64.77, 141.15, 'Eagle Arpt,AK'),
('ERO', 59.62, 135.37, 'Eldred Rock,AK'),
('ELV', 58.2, 136.35, 'Elfin Cove,AK'),
('FAI', 64.82, 147.87, 'Fairbanks,AK'),
('FWL', 62.85, 154.47, 'Farewell,AK'),
('FIV', 57.45, 134.03, 'Five Finger,AK'),
('FVM', 65.93, 149.83, 'Five Mile,AK'),
('FYU', 66.57, 145.27, 'Fort Yukon,AK'),
('FNR', 58.25, 134.9, 'Funter Bay,AK'),
('GBH', 68.48, 149.48, 'Galbraith Lk,AK'),
('GAM', 63.77, 171.73, 'Gambell,AK'),
('GKN', 62.15, 145.45, 'Gulkana Arpt,AK'),
('GST', 58.42, 135.73, 'Gustavus,AK'),
('Z26', 59.23, 135.43, 'Haines Hrbor,AK'),
('5HR', 61.98, 152.08, 'Hayes River,AK'),
('5EA', 63.83, 149, 'Healy River,AK'),
('HOM', 59.63, 151.5, 'Homer,AK'),
('Z49', 58.1, 135.45, 'Hoonah Seapl,AK'),
('ILI', 59.75, 154.92, 'Iliamna Arpt,AK'),
('JNU', 58.37, 134.58, 'Juneau,AK'),
('KAE', 56.97, 133.95, 'Kake Seaplan,AK'),
('ENA', 60.57, 151.25, 'Kenai,AK'),
('KTN', 55.35, 131.7, 'Ketchikan,AK'),
('AKN', 58.68, 156.65, 'King Salmon,AK'),
('ADQ', 57.75, 152.5, 'Kodiak,AK'),
('OTZ', 66.87, 162.63, 'Kotzebue,AK'),
('5WO', 61.63, 149.03, 'Lazy Mtn,AK'),
('LNI', 70.92, 153.23, 'Lonely (dew),AK'),
('MLY', 65, 150.65, 'Manley Ht Sp,AK'),
('MXY', 61.43, 142.92, 'Mccarthy,AK'),
('MCG', 62.97, 155.62, 'Mcgrath,AK'),
('MYU', 60.37, 166.27, 'Mekoryuk,AK'),
('MDO', 59.43, 146.33, 'Middleton Is,AK'),
('MHM', 63.9, 152.27, 'Minchumina,AK'),
('ENN', 64.55, 149.08, 'Nenana,AK'),
('KSM', 62.07, 163.3, 'New Andreafs,AK'),
('IKO', 53.58, 169.42, 'Nikolski,AK'),
('OME', 64.5, 165.43, 'Nome,AK'),
('ORT', 62.97, 141.93, 'Northway,AK'),
('OLI', 70.5, 149.88, 'Oliktok Dew,AK'),
('PAQ', 61.6, 149.08, 'Palmer,AK'),
('5PX', 63.03, 145.5, 'Paxson,AK'),
('PSG', 56.82, 132.97, 'Petersburg,AK'),
('PIZ', 69.82, 162.92, 'Point Lay,AK'),
('Z76', 56.25, 134.65, 'Port Alexndr,AK'),
('KPC', 65.25, 166.87, 'Port Clarnce,AK'),
('PTH', 56.95, 158.62, 'Port Heiden,AK'),
('PPC', 66.82, 150.65, 'Prospect Crk,AK'),
('PUO', 70.25, 148.33, 'Prudhoe Bay,AK'),
('Z30', 60.2, 154.3, 'Pt Alsworth,AK'),
('PTI', 62.17, 153.25, 'Puntilla,AK'),
('SDP', 55.33, 160.5, 'Sand Point,AK'),
('5WD', 60.18, 149.75, 'Seward,AK'),
('SYA', 53.2, 174.13, 'Shemy,AK'),
('SHH', 66.27, 166.03, 'Shishmaref,AK'),
('SIT', 57.07, 135.35, 'Sitka,AK'),
('SKJ', 56.88, 154.2, 'Sitkinak,AK'),
('SGY', 59.75, 135.53, 'Skagway,AK'),
('SKW', 61.97, 151.2, 'Skwentna,AK'),
('5SO', 62.03, 146.67, 'Snowshoe Lk,AK'),
('SNP', 57.15, 170.22, 'St Paul Is,AK'),
('5GN', 61.9, 147.3, 'Tahneta Pass,AK'),
('TKA', 62.3, 150.1, 'Talkeetna,AK'),
('TAL', 65.17, 152.1, 'Tanana,AK'),
('UMT', 69.37, 152.13, 'Umiat,AK'),
('UNK', 63.88, 160.8, 'Unalakleet,AK'),
('VWS', 61.13, 146.35, 'Valdez,AK'),
('VDZ', 61.13, 146.25, 'Valdez 2,AK'),
('AIN', 70.62, 159.85, 'Wainwright,AK'),
('WAA', 66.03, 168.08, 'Wales,AK'),
('5WT', 60.78, 148.72, 'Whittier,AK'),
('Z22', 61.75, 150.05, 'Willow Arpt,AK'),
('WRG', 56.48, 132.37, 'Wrangell,AK'),
('YAK', 59.52, 139.67, 'Yakutat,AK'),
('DMA', 32.17, 110.88, 'Davis-M AFB,AZ'),
('DVT', 33.68, 112.08, 'Deer Valley,AZ'),
('DUG', 31.45, 109.6, 'Douglas,AZ'),
('FFZ', 33.47, 111.73, 'Falcon Fld,AZ'),
('FLG', 35.13, 111.67, 'Flagstaff,AZ'),
('FHU', 31.6, 110.35, 'Fort Huachuc,AZ'),
('GBN', 33.55, 113.17, 'Gila Bend,AZ'),
('GYR', 33.42, 112.38, 'Goodyear,AZ'),
('GCN', 35.95, 112.15, 'Grand Canyon,AZ'),
('IGM', 35.27, 113.95, 'Kingman,AZ'),
('LUF', 33.53, 112.38, 'Luke,AZ'),
('PGA', 36.93, 111.45, 'Page,AZ'),
('0.00E', 34.23, 111.33, 'Payson,AZ'),
('PHX', 33.43, 112.02, 'Phoenix,AZ'),
('PRC', 34.65, 112.43, 'Prescott,AZ'),
('E74', 32.82, 109.68, 'Safford Awrs,AZ'),
('SDL', 33.62, 111.92, 'Scottsdale,AZ'),
('E03', 34.27, 110, 'Show Low,AZ'),
('SOW', 34.27, 110, 'Show Low,AZ'),
('TUS', 32.12, 110.93, 'Tucson,AZ'),
('CHD', 33.3, 111.67, 'Williams AFB,AZ'),
('INW', 35.02, 110.73, 'Winslow,AZ'),
('YUM', 33.1, 115, 'Yuma,AZ'),
('NYL', 32.65, 114.62, 'Yuma Mcas,AZ'),
('1Y7', 32.85, 114.4, 'Yuma Prv Gd,AZ'),
('BYH', 35.97, 89.95, 'Blytheville,AR'),
('CDH', 33.52, 92.4, 'Camden,AR'),
('ELD', 33.22, 92.8, 'El Dorado,AR'),
('FYV', 36, 94.17, 'Fayetteville,AR'),
('FSM', 35.33, 94.37, 'Ft Smith,AR'),
('HRO', 36.27, 93.15, 'Harrison,AR'),
('HOT', 34.48, 93.1, 'Hot Springs,AR'),
('JBR', 35.83, 90.65, 'Jonesboro,AR'),
('LIT', 35.22, 92.38, 'Little Rock,AR'),
('LRF', 34.92, 92.15, 'Little Rock,AR'),
('LZK', 34.83, 92.25, 'Little Rock,AR'),
('PBF', 34.17, 91.93, 'Pine Bluff,AR'),
('ASG', 36.18, 94.13, 'Springdale,AR'),
('TXK', 33.45, 94, 'Texarkana,AR'),
('ARG', 36.13, 90.93, 'Walnut Ridge,AR'),
('NGZ', 37.78, 122.32, 'Alameda NAS,CA'),
('S11', 41.48, 120.53, 'Alturas,CA'),
('ACV', 40.98, 124.1, 'Arcata,CA'),
('BFL', 35.43, 119.05, 'Bakersfield,CA'),
('BAB', 39.13, 121.45, 'Beale AFB,CA'),
('BUO', 33.93, 116.95, 'Beaumont,CA'),
('BYS', 35.28, 116.62, 'Bicycle Lk,CA'),
('L35', 34.27, 116.68, 'Big Bear Apt,CA'),
('BIH', 37.6, 118.6, 'Bishop,CA'),
('BLU', 39.28, 120.7, 'Blue Canyon,CA'),
('BLH', 33.62, 114.72, 'Blythe,CA'),
('BUR', 34.2, 118.37, 'Burbank,CA'),
('NFG', 33.3, 117.35, 'Camp Pendlet,CA'),
('CZZ', 32.62, 116.47, 'Campo,CA'),
('CRQ', 33.13, 117.28, 'Carlsbad,CA'),
('MER', 37.38, 120.57, 'Castle AFB,CA'),
('CIC', 39.78, 121.85, 'Chico,CA'),
('NID', 35.68, 117.68, 'China Lake,CA'),
('CNO', 33.97, 117.63, 'Chino,CA'),
('CCR', 37.98, 122.05, 'Concord,CA'),
('CEC', 41.78, 124.23, 'Crescent Cty,CA'),
('DAG', 34.87, 116.78, 'Daggett,CA'),
('EDW', 34.9, 117.88, 'Edwards AFB,CA'),
('NJK', 32.82, 115.68, 'El Centro,CA'),
('EMT', 34.08, 118.03, 'El Monte,CA'),
('NZJ', 33.67, 117.73, 'El Toro,CA'),
('EKA', 41.33, 124.28, 'Eureka,CA'),
('HGT', 36, 121.32, 'Fort Hunter,CA'),
('OAR', 36.68, 121.77, 'Fort Ord,CA'),
('FAT', 36.77, 119.72, 'Fresno,CA'),
('FUL', 33.87, 117.97, 'Fullerton,CA'),
('VCV', 34.58, 117.38, 'George AFB,CA'),
('HHR', 33.92, 118.33, 'Hawthorne,CA'),
('HWD', 37.65, 122.12, 'Hayward,CA'),
('IPL', 32.83, 115.57, 'Imperial,CA'),
('NRS', 32.57, 117.12, 'Imperial Bch,CA'),
('POC', 34.1, 117.78, 'La Verne,CA'),
('TVL', 38.9, 120, 'Lake Tahoe,CA'),
('WJF', 34.73, 118.22, 'Lancaster,CA'),
('NLC', 36.33, 119.95, 'Lemoore NAS,CA'),
('LVK', 37.7, 121.82, 'Livermore,CA'),
('LGB', 33.82, 118.15, 'Long Beach,CA'),
('SLI', 33.78, 118.05, 'Los Alamitos,CA'),
('LAX', 33.93, 118.4, 'Los Angeles,CA'),
('MMH', 37.63, 118.92, 'Mammoth Lks,CA'),
('RIV', 33.88, 117.27, 'March AFB,CA'),
('MYV', 39.1, 121.57, 'Marysville,CA'),
('MHR', 38.57, 121.3, 'Mather AFB,CA'),
('MCC', 38.67, 121.4, 'Mcclellan,CA'),
('MCE', 37.28, 120.52, 'Merced,CA'),
('NKX', 32.87, 117.15, 'Miramar NAS,CA'),
('MOD', 37.63, 120.95, 'Modesto,CA'),
('NUQ', 37.42, 122.05, 'Moffet NAS,CA'),
('MHV', 35.05, 118.15, 'Mojave,CA'),
('1O5', 41.73, 122.53, 'Montague,CA'),
('MRY', 36.58, 121.85, 'Monterey,CA'),
('MHS', 41.32, 122.32, 'Mount Shasta,CA'),
('MWS', 34.23, 118.07, 'Mount Wilson,CA'),
('APC', 38.22, 122.28, 'Napa,CA'),
('EED', 34.77, 114.62, 'Needles,CA'),
('NZY', 32.7, 117.2, 'North Is,CA'),
('SBD', 34.1, 117.23, 'Norton AFB,CA'),
('OAK', 37.73, 122.22, 'Oakland,CA'),
('ONT', 34.05, 117.62, 'Ontario Intl,CA'),
('OXR', 34.2, 119.2, 'Oxnard,CA'),
('PSP', 33.83, 116.5, 'Palm Springs,CA'),
('PMD', 35.05, 118.13, 'Palmdale,CA'),
('PAO', 37.47, 122.12, 'Palo Alto,CA'),
('PRB', 35.67, 120.63, 'Paso Robles,CA'),
('53Q', 37.83, 122.83, 'Pillaro Pt,CA'),
('NTD', 34.12, 119.12, 'Point Mugu,CA'),
('PAA', 39.58, 124.22, 'Pt Arena,CA'),
('PGU', 34.95, 121.12, 'Pt Arguello,CA'),
('87Q', 35.67, 121.28, 'Pt Piedras,CA'),
('PPD', 36.12, 121.47, 'Pt Piedras,CA'),
('RBL', 40.15, 122.25, 'Red Bluff,CA'),
('RDD', 40.5, 122.3, 'Redding,CA'),
('RAL', 33.95, 117.45, 'Riverside,CA'),
('SAC', 38.52, 121.5, 'Sacramento,CA'),
('SMF', 38.7, 121.6, 'Sacramento,CA'),
('SNS', 36.67, 121.6, 'Salinas,CA'),
('SQL', 37.52, 122.25, 'San Carlos,CA'),
('L10', 33.42, 117.62, 'San Clemente,CA'),
('SEE', 32.82, 116.97, 'San Diego,CA'),
('51Q', 37.75, 122.68, 'San Francisco,CA'),
('SJC', 37.37, 121.92, 'San Jose,CA'),
('RHV', 37.33, 121.82, 'San Jose/Rei,CA'),
('SBP', 35.23, 120.65, 'San Luis Obi,CA'),
('L98', 33.38, 117.58, 'San Mateo,CA'),
('N5G', 34.03, 120.4, 'San Miguel,CA'),
('NSI', 33.25, 119.45, 'San Nic Isl,CA'),
('SDB', 34.75, 118.73, 'Sandburg,CA'),
('SNA', 33.67, 117.88, 'Santa Ana,CA'),
('SBA', 34.43, 119.83, 'Santa Barb,CA'),
('SMX', 34.9, 120.45, 'Santa Maria,CA'),
('SMO', 34.02, 118.45, 'Santa Monica,CA'),
('STS', 38.52, 122.82, 'Santa Rosa,CA'),
('O87', 40.03, 124.07, 'Shelter Cove,CA'),
('SIY', 41.78, 122.47, 'Siskiyou,CA'),
('SCK', 37.9, 121.25, 'Stockton,CA'),
('4SU', 35.33, 117.1, 'Superior Val,CA'),
('SVE', 40.63, 120.95, 'Susanville,CA'),
('TRM', 33.63, 116.17, 'Thermal,CA'),
('TOA', 33.8, 118.33, 'Torrance,CA'),
('SUU', 38.27, 121.93, 'Travis AFB,CA'),
('TRK', 39.32, 120.13, 'Truckee-Tahoe,CA'),
('NTK', 33.7, 117.83, 'Tustin Mcas,CA'),
('NXP', 34.28, 116.15, 'Twenty9 Palm,CA'),
('UKI', 39.13, 123.2, 'Ukiah,CA'),
('VNY', 34.22, 118.48, 'Van Nuys,CA'),
('VBG', 35.2, 120.95, 'Vandenberg,CA'),
('VIS', 36.32, 119.4, 'Visalia,CA'),
('AFF', 39.52, 105.35, 'Air Force A,CO'),
('AKO', 40.17, 103.22, 'Akron,CO'),
('ALS', 37.45, 105.87, 'Alamosa,CO'),
('ASE', 39.22, 106.87, 'Aspen,CO'),
('BJC', 39.9, 105.12, 'Brmfield/Jef,CO'),
('BKF', 39.72, 104.75, 'Buckley,CO'),
('COS', 38.82, 104.72, 'Colo Sprgs,CO'),
('CEZ', 37.3, 108.63, 'Cortez,CO'),
('CAG', 40.5, 107.53, 'Craig-Moffat,CO'),
('DEN', 39.75, 104.87, 'Denver,CO'),
('DRO', 37.15, 107.75, 'Durango,CO'),
('EGE', 39.65, 106.92, 'Eagle,CO'),
('APA', 39.57, 104.83, 'Englewood,CO'),
('FCS', 38.68, 104.77, 'Fort Carson,CO'),
('FSR', 39.57, 105.5, 'Fraser,CO'),
('FNL', 40.45, 105.02, 'Ft Col/Lovel,CO'),
('FCL', 40.58, 105.08, 'Ft Collins,CO'),
('GJT', 39.12, 108.53, 'Grand Jct,CO'),
('GXY', 40.43, 104.63, 'Greeley-Wld,CO'),
('2V9', 38.55, 106.93, 'Gunnison,CO'),
('LHX', 38.05, 103.52, 'La Junta,CO'),
('4LJ', 38.12, 102.6, 'Lamar,CO'),
('LXV', 39.25, 106.3, 'Leadville,CO'),
('LIC', 39.18, 103.7, 'Limon,CO'),
('6V8', 38.5, 107.88, 'Montrose,CO'),
('PUB', 38.28, 104.52, 'Pueblo,CO'),
('1V1', 39.53, 107.8, 'Rifle,CO'),
('S29', 38.53, 106.05, 'Salida,CO'),
('SBS', 40.48, 106.82, 'Steamboat Sp,CO'),
('TAD', 37.25, 104.33, 'Trinidad,CO'),
('C96', 40, 105.87, 'Winter Park,CO'),
('BDR', 41.17, 73.13, 'Bridgeport,CT'),
('DXR', 41.37, 73.48, 'Danbury,CT'),
('GON', 41.33, 72.05, 'Groton,CT'),
('HFD', 41.73, 72.65, 'Hartford,CT'),
('30N', 41.22, 72.67, 'New Haven,CT'),
('HVN', 41.27, 72.88, 'New Haven,CT'),
('N11', 41.27, 72.9, 'New Haven,CT'),
('18N', 41.3, 72.08, 'New London,CT'),
('BDL', 41.93, 72.68, 'Windsor Loc,CT'),
('DOV', 39.13, 75.47, 'Dover,DE'),
('ILG', 39.67, 75.6, 'Wilmington,DE'),
('IAD', 38.95, 77.46, 'Washington/Dulles,DC'),
('DCA', 38.85, 77.04, 'Washington/Natl,DC'),
('AQQ', 29.73, 85.03, 'Apalachicola,FL'),
('90J', 29.12, 81.57, 'Astor NAS,FL'),
('AGR', 28.08, 81.55, 'Avon Park G,FL'),
('XMR', 28.47, 80.55, 'Cape Canaveral,FL'),
('NZC', 30.22, 81.88, 'Cecil,FL'),
('CEW', 30.78, 86.52, 'Crestview,FL'),
('CTY', 29.62, 83.1, 'Cross City,FL'),
('DAB', 29.18, 81.05, 'Daytona Bch,FL'),
('EGI', 30.65, 86.52, 'Duke Fld,FL'),
('VPS', 30.48, 86.53, 'Eglin AFB,FL'),
('X91', 27.6, 82.77, 'Egmont Key,FL'),
('FXE', 26.13, 80.13, 'Fort Lauderd,FL'),
('FMY', 26.58, 81.87, 'Fort Myers,FL'),
('FLL', 26.07, 80.15, 'Ft Lauderdale,FL'),
('RSW', 26.65, 81.87, 'Ft Myers,FL'),
('GNV', 29.68, 82.27, 'Gainesville,FL'),
('HST', 25.48, 80.38, 'Homestead,FL'),
('HRT', 30.43, 86.68, 'Hurlburt Fld,FL'),
('CRG', 30.33, 81.52, 'Jacksonville,FL'),
('JAX', 30.5, 81.7, 'Jacksonville,FL'),
('NIP', 30.23, 81.68, 'Jacksonville,FL'),
('EYW', 24.55, 81.75, 'Key West,FL'),
('NQX', 24.57, 81.68, 'Key West NAS,FL'),
('LAL', 28.03, 81.95, 'Lakeland,FL'),
('MCF', 27.85, 82.52, 'Macdill AFB,FL'),
('MAI', 30.84, 85.18, 'Marianna,FL'),
('NRB', 30.4, 81.42, 'Mayport NAS,FL'),
('MLB', 28.1, 80.63, 'Melbourne,FL'),
('MIA', 25.82, 80.28, 'Miami Intl,FL'),
('OPF', 25.92, 80.28, 'Miami/Opa,FL'),
('TMB', 25.65, 80.43, 'Miami/Tamiami,FL'),
('APF', 26.13, 81.8, 'Naples,FL'),
('X68', 28.62, 80.68, 'Nasa Shuttle,FL'),
('MCO', 28.43, 81.32, 'Orlando,FL'),
('ORL', 28.55, 81.33, 'Orlando,FL'),
('PFN', 30.2, 85.68, 'Panama City,FL'),
('COF', 28.23, 80.6, 'Patrick AFB,FL'),
('NPA', 30.35, 87.32, 'Pensacola,FL'),
('PNS', 30.47, 87.2, 'Pensacola,FL'),
('TBW', 27.97, 82.6, 'Ruskin,FL'),
('PIE', 27.92, 82.68, 'Saint Peters,FL'),
('SFB', 28.78, 81.25, 'Sanford,FL'),
('SRQ', 27.4, 82.55, 'Sarasota,FL'),
('TLH', 30.38, 84.37, 'Tallahassee,FL'),
('TPA', 27.97, 82.53, 'Tampa Intl,FL'),
('TIX', 28.52, 80.8, 'Titusville,FL'),
('PAM', 30.07, 85.58, 'Tyndall AFB,FL'),
('VRB', 27.65, 80.42, 'Vero Beach,FL'),
('PBI', 26.68, 80.12, 'W Palm Beach,FL'),
('NSE', 30.72, 87.02, 'Whiting Fld,FL'),
('ABY', 31.53, 84.18, 'Albany,GA'),
('AMG', 31.53, 82.52, 'Alma,GA'),
('AHN', 33.95, 83.32, 'Athens,GA'),
('ATL', 33.65, 84.42, 'Atlanta,GA'),
('PDK', 33.88, 84.3, 'Atlanta/Dklb,GA'),
('FTY', 33.78, 84.52, 'Atlanta/Fltn,GA'),
('AGS', 33.37, 81.97, 'Augusta/Bush,GA'),
('SSI', 31.15, 81.38, 'Brunswick,GA'),
('CSG', 32.52, 84.93, 'Columbus,GA'),
('MGE', 33.92, 84.52, 'Dobbins AFB,GA'),
('MGF', 34.53, 84.87, 'Dobbins AFB,GA'),
('LSF', 32.33, 85, 'Fort Benning,GA'),
('LHW', 31.88, 81.57, 'Ft Stewart,GA'),
('SVN', 32.02, 81.15, 'Hunter Aaf,GA'),
('LGC', 33.01, 85.07, 'La Grange,GA'),
('MCN', 32.7, 83.65, 'Macon/Lewis,GA'),
('VAD', 30.97, 83.2, 'Moody AFB,GA'),
('WRB', 32.63, 83.6, 'Robins AFB,GA'),
('RMG', 34.35, 85.17, 'Rome/Russell,GA'),
('SAV', 32.13, 81.2, 'Savannah Mun,GA'),
('VLD', 30.78, 83.28, 'Valdosta,GA'),
('AYS', 31.25, 82.4, 'Waycross,GA'),
('HNA', 21.53, 158.12, 'Barbers Pt,HI'),
('BKH', 22.05, 160.3, 'Barking San,HI'),
('1Z6', 24.45, 166.47, 'Fr Frigate,HI'),
('ITO', 19.72, 155.07, 'Hilo,HI'),
('HNL', 21.35, 157.93, 'Honolulu Int,HI'),
('OGG', 20.9, 156.43, 'Kahului Maui,HI'),
('HNG', 21.75, 158.28, 'Kaneohe Mca,HI'),
('KOA', 19.75, 156.05, 'Ke-Ahole/Kon,HI'),
('0Z5', 22.38, 159.67, 'Kilauea Pt,HI'),
('LNY', 20.8, 156.95, 'Lanai-Lanai,HI'),
('LIH', 21.98, 159.35, 'Lihue-Kauai,HI'),
('JHM', 20.97, 156.83, 'Maui,HI'),
('MKK', 21.15, 157.1, 'Molokai,HI'),
('1Z2', 20.42, 156.47, 'Upolo Pt Ln,HI'),
('MUE', 20, 156.12, 'Waimea-Koha,HI'),
('BOI', 43.57, 116.22, 'Boise,ID'),
('BYI', 42.53, 113.77, 'Burley,ID'),
('U15', 44.52, 114.22, 'Challis,ID'),
('COE', 47.77, 116.82, 'Coeur d''Alene,ID'),
('P69', 45.82, 115.43, 'Elk City,ID'),
('GNG', 43, 115.17, 'Gooding,ID'),
('S80', 45.92, 116.13, 'Grangeville,ID'),
('IDA', 43.52, 112.07, 'Idaho Falls,ID'),
('LWS', 46.38, 117.02, 'Lewiston,ID'),
('MLD', 42.17, 112.32, 'Malad City,ID'),
('77M', 42.3, 113.37, 'Malta,ID'),
('MYL', 44.88, 116.1, 'Mccall,ID'),
('MUO', 43.05, 115.87, 'Mountn Home,ID'),
('S06', 47.47, 115.8, 'Mullan,ID'),
('PIH', 42.92, 112.6, 'Pocatello,ID'),
('27U', 45.18, 113.9, 'Salmon,ID'),
('SMN', 45.17, 114.47, 'Salmon,ID'),
('U78', 42.65, 111.58, 'Soda Springs,ID'),
('SUN', 43.5, 114.3, 'Sun Valley,ID'),
('TWF', 42.48, 114.48, 'Twin Falls,ID'),
('ALN', 38.88, 90.05, 'Alton,IL'),
('ARR', 41.77, 88.32, 'Aurora,IL'),
('CPS', 38.57, 90.15, 'Bistate Park,IL'),
('BMI', 40.48, 88.93, 'Bloomington,IL'),
('BDF', 41.16, 89.6, 'Bradford,IL'),
('CTR', 37.07, 89.22, 'Cairo,IL'),
('MDH', 37.78, 89.25, 'Carbondale,IL'),
('ENL', 38.51, 89.09, 'Centralia,IL'),
('CMI', 40.03, 88.28, 'Champaign/Urbana,IL'),
('CHI', 41.9, 87.65, 'Chicago,IL'),
('CGX', 41.87, 87.62, 'Chicago/Meigs,IL'),
('MDW', 41.78, 87.75, 'Chicago/Midway,IL'),
('ORD', 41.98, 87.9, 'Chicago/O''hare,IL'),
('DNV', 40.2, 87.6, 'Danville,IL'),
('DKB', 41.93, 88.72, 'DeKalb,IL'),
('DEC', 39.83, 88.87, 'Decatur,IL'),
('DPA', 41.92, 88.25, 'Du Page,IL'),
('GBG', 40.93, 90.43, 'Galesburg,IL'),
('NBU', 42.08, 87.82, 'Glenview NAS,IL'),
('IKK', 41.07, 87.85, 'Kankakee,IL'),
('MQB', 40.52, 90.66, 'Macomb,IL'),
('MWA', 37.75, 89, 'Marion,IL'),
('MMO', 41.37, 88.68, 'Marseilles,IL'),
('MTO', 39.48, 88.28, 'Mattoon,IL'),
('MLI', 41.45, 90.52, 'Moline/Quad,IL'),
('MVN', 38.32, 88.86, 'Mount Vernon,IL'),
('PIA', 40.67, 89.68, 'Peoria,IL'),
('UIN', 39.93, 91.2, 'Quincy,IL'),
('RFD', 42.2, 89.1, 'Rockford,IL'),
('SLO', 38.63, 88.96, 'Salem,IL'),
('BLV', 38.55, 89.85, 'Scott AFB,IL'),
('SPI', 39.85, 89.67, 'Springfield,IL'),
('SQI', 41.74, 89.67, 'Sterling,IL'),
('TAZ', 39.53, 89.33, 'Taylorville,IL'),
('VLA', 38.99, 89.17, 'Vandalia,IL'),
('BAK', 39.38, 86.5, 'Bakalar Af,IN'),
('BMG', 39.13, 86.62, 'Bloomington,IN'),
('EKM', 41.72, 86, 'Elkhart,IN'),
('EVV', 38.05, 87.53, 'Evansville,IN'),
('FWA', 41, 85.2, 'Fort Wayne,IN'),
('GYY', 41.62, 87.42, 'Gary,IN'),
('GUS', 40.65, 86.15, 'Grissom AFB,IN'),
('IND', 39.73, 86.27, 'Indianapolis,IN'),
('MIE', 40.23, 85.38, 'Muncie,IN'),
('SBN', 41.7, 86.32, 'South Bend,IN'),
('HUF', 39.45, 87.3, 'Terre Haute,IN'),
('LAF', 40.42, 86.93, 'W Lafayette,IN'),
('BRL', 40.78, 91.12, 'Burlington,IA'),
('CID', 41.88, 91.7, 'Cedar Rapids,IA'),
('DSM', 41.53, 93.65, 'Des Moines,IA'),
('DBQ', 42.4, 90.7, 'Dubuque,IA'),
('EST', 43.4, 94.75, 'Estherville,IA'),
('FOD', 42.55, 94.18, 'Fort Dodge,IA'),
('3OI', 40.62, 93.93, 'Lamoni,IA'),
('MCW', 43.15, 93.33, 'Mason City,IA'),
('OTM', 41.1, 92.45, 'Ottumwa,IA'),
('SUX', 42.4, 96.38, 'Sioux City,IA'),
('3SE', 43.17, 95.15, 'Spencer,IA'),
('ALO', 42.55, 92.4, 'Waterloo Mun,IA'),
('CNU', 37.67, 95.48, 'Chanute,KS'),
('3KM', 37.75, 97.22, 'Col. J Jabar,KS'),
('CNK', 39.55, 97.65, 'Concordia,KS'),
('DDC', 37.77, 99.97, 'Dodge City,KS'),
('1K5', 37, 101.88, 'Elkhart,KS'),
('EMP', 38.33, 96.2, 'Emporia,KS'),
('FLV', 39.37, 94.92, 'Ft Leavnwrth,KS'),
('FRI', 39.05, 96.77, 'Ft Riley,KS'),
('GCK', 37.93, 100.72, 'Garden City,KS'),
('GLD', 39.37, 101.7, 'Goodland,KS'),
('HYS', 38.85, 99.27, 'Hays,KS'),
('HLC', 39.38, 99.83, 'Hill City,KS'),
('HUT', 38.07, 97.87, 'Hutchinson,KS'),
('IXD', 38.82, 94.88, 'Johnson Cnty,KS'),
('LBL', 37.05, 100.97, 'Liberal,KS'),
('MHK', 39.15, 96.67, 'Manhatten,KS'),
('IAB', 37.62, 97.27, 'Mcconnell Af,KS'),
('P28', 37.3, 98.58, 'Medicine Ldg,KS'),
('OJC', 38.85, 94.9, 'Olathe,KS'),
('RSL', 38.87, 98.82, 'Russell,KS'),
('SLN', 38.8, 97.65, 'Salina,KS'),
('TOP', 39.07, 95.62, 'Topeka,KS'),
('FOE', 38.95, 95.67, 'Topeka/Forbe,KS'),
('ICT', 37.65, 97.43, 'Wichita,KS'),
('BWG', 36.97, 86.43, 'Bowling Gren,KY'),
('HOP', 36.67, 87.5, 'Ft Campbell,KY'),
('FTK', 37.9, 85.97, 'Ft Knox,KY'),
('JKL', 37.6, 83.32, 'Jackson,KY'),
('LEX', 38.05, 85, 'Lexington,KY'),
('LOZ', 37.08, 84.07, 'London,KY'),
('LOU', 38.23, 85.67, 'Louisville,KY'),
('SDF', 38.18, 85.73, 'Louisville,KY'),
('OWB', 37.75, 87.17, 'Owensboro,KY'),
('PAH', 37.07, 88.77, 'Paducah,KY'),
('5I3', 37.48, 82.52, 'Pikeville,KY'),
('ESF', 31.38, 92.3, 'Alexandria,LA'),
('BAD', 32.5, 93.67, 'Barksdale,LA'),
('BTR', 30.53, 91.15, 'Baton Rouge,LA'),
('BVE', 29.55, 89.67, 'Boothville,LA'),
('7R5', 29.78, 93.3, 'Cameron Heli,LA'),
('01R', 31.22, 92.95, 'Claiborne R,LA'),
('AEX', 31.33, 92.55, 'England AFB,LA'),
('41I', 28.47, 91.78, 'Eugene Is.,LA'),
('POE', 31.05, 93.2, 'Fort Polk,LA'),
('AXO', 29.18, 90.07, 'Grand Isle,LA'),
('5R0', 28.22, 93.75, 'High Is,LA'),
('01T', 28.13, 94.4, 'High Island,LA'),
('HUM', 29.57, 90.65, 'Houma,LA'),
('7R4', 29.73, 92.12, 'Intercoastal,LA'),
('LFT', 30.2, 92, 'Lafayette,LA'),
('LCH', 30.12, 93.22, 'Lake Charles,LA'),
('7R3', 29.7, 91.1, 'Lk Palourde,LA'),
('1G7', 28.78, 89.05, 'Missippi Can,LA'),
('MLU', 32.52, 92.05, 'Monroe,LA'),
('PTN', 29.7, 91.2, 'Morgan City,LA'),
('ARA', 30.03, 91.88, 'New Iberia,LA'),
('MSY', 29.98, 90.25, 'New Orleans,LA'),
('NBG', 29.83, 90.02, 'New Orleans,LA'),
('NEW', 30.03, 90.03, 'New Orleans,LA'),
('7R8', 28.3, 91.98, 'S Marsh Isl,LA'),
('DTN', 32.52, 93.75, 'Shreveport,LA'),
('SHV', 32.47, 93.82, 'Shreveport,LA'),
('SIL', 30.35, 89.82, 'Slidel,LA'),
('AUG', 44.32, 69.8, 'Augusta,ME'),
('BGR', 44.8, 68.82, 'Bangor,ME'),
('BHB', 44.45, 68.37, 'Bar Harbor,ME'),
('NHZ', 43.88, 69.93, 'Brunswick,ME'),
('CAR', 46.87, 68.02, 'Caribou Mun,ME'),
('3B1', 45.45, 69.55, 'Greenville,ME'),
('6B2', 45.78, 69.63, 'Greenville,ME'),
('HUL', 46.13, 67.78, 'Houlton,ME'),
('LIZ', 46.95, 67.88, 'Loring AFB,ME'),
('PWM', 43.65, 70.32, 'Portland,ME'),
('PQI', 46.68, 68.05, 'Presque Isle,ME'),
('RKD', 44.07, 69.12, 'Rockland,ME'),
('RUM', 44.88, 70.88, 'Rumford,ME'),
('ADW', 38.82, 76.87, 'Andrews AFB,MD'),
('BAL', 39.18, 76.67, 'Baltimore,MD'),
('BWI', 39.18, 76.67, 'Baltimore,MD'),
('MTN', 39.33, 76.42, 'Baltimore,MD'),
('FME', 39.08, 76.77, 'Fort Meade,MD'),
('HGR', 39.7, 77.72, 'Hagerstown,MD'),
('N80', 38.55, 75.13, 'Ocean City,MD'),
('NHK', 38.28, 76.4, 'Patuxent,MD'),
('APG', 39.47, 76.17, 'Phillips,MD'),
('SBY', 38.33, 75.5, 'Salisbury,MD'),
('BED', 42.47, 71.28, 'Bedford,MA'),
('BVY', 42.58, 70.92, 'Beverly,MA'),
('BOS', 42.37, 71.03, 'Boston,MA'),
('30B', 41.78, 70.5, 'Cape Cod Can,MA'),
('CHH', 41.67, 69.97, 'Chatham,MA'),
('AYE', 42.57, 71.6, 'Fort Devens,MA'),
('HYA', 41.67, 70.28, 'Hyannis,MA'),
('LWM', 42.72, 71.12, 'Lawrence,MA'),
('MVY', 41.4, 70.62, 'Marthas Vine,MA'),
('ACK', 41.25, 70.07, 'Nantucket,MA'),
('EWB', 41.68, 70.97, 'New Bedford,MA'),
('OWD', 42.18, 71.18, 'Norwood,MA'),
('FMH', 41.65, 70.52, 'Otis ANGB,MA'),
('PSF', 42.26, 73.18, 'Pittsfield,MA'),
('NZW', 42.15, 70.93, 'S Weymouth,MA'),
('BAF', 42.17, 72.72, 'Westfield,MA'),
('CEF', 42.2, 72.53, 'Westover,MA'),
('ORH', 42.27, 71.87, 'Worcester,MA'),
('APN', 45.07, 83.57, 'Alpena,MI'),
('ARB', 42.22, 83.75, 'Ann Arbor,MI'),
('BTL', 42.3, 85.23, 'Battle Creek,MI'),
('BEH', 42.13, 86.43, 'Benton Harbor,MI'),
('CIU', 46.25, 84.47, 'Chippewa,MI'),
('C10', 43.07, 85.95, 'Coopersville,MI'),
('P59', 47.47, 87.85, 'Copper Harb,MI'),
('DET', 42.42, 83.02, 'Detroit,MI'),
('DTW', 42.23, 83.33, 'Detroit,MI'),
('ESC', 45.73, 87.08, 'Escanaba,MI'),
('FNT', 42.97, 83.75, 'Flint/Bishop,MI'),
('GRR', 42.88, 85.52, 'Grand Rapids,MI'),
('CMX', 47.17, 88.5, 'Hancock,MI'),
('P58', 43.83, 82.53, 'Harbor Beach,MI'),
('HTL', 44.37, 84.68, 'Houghton Lake,MI'),
('IMT', 45.82, 88.12, 'Iron Mtn,MI'),
('IWD', 46.53, 90.13, 'Ironwood,MI'),
('JXN', 42.27, 84.47, 'Jackson,MI'),
('AZO', 42.23, 85.55, 'Kalamazoo,MI'),
('LAN', 42.77, 84.6, 'Lansing,MI'),
('MBL', 44.27, 86.25, 'Manistee,MI'),
('MQT', 46.88, 87.95, 'Marquette,MI'),
('MNM', 45.12, 87.63, 'Menominee,MI'),
('MKG', 43.17, 86.25, 'Muskegon,MI'),
('PLN', 45.57, 84.8, 'Pellston,MI'),
('PTK', 42.67, 83.42, 'Pontiac,MI'),
('MBS', 43.53, 84.08, 'Saginaw,MI'),
('SSM', 46.47, 84.37, 'Sault Ste M,MI'),
('SAW', 46.35, 87.4, 'Sawyer AFB,MI'),
('MTC', 42.62, 82.83, 'Selfridge,MI'),
('P75', 45.92, 85.92, 'Seul Choix,MI'),
('TVC', 44.73, 85.58, 'Traverse Cty,MI'),
('OSC', 44.45, 83.4, 'Wurtsmith,MI'),
('YIP', 42.23, 83.53, 'Ypsilanti,MI'),
('AEL', 43.68, 93.37, 'Albert Lea,MN'),
('AXN', 45.87, 95.38, 'Alexandria,MN'),
('BJI', 47.5, 94.93, 'Bemidji Muni,MN'),
('BRD', 46.4, 94.13, 'Brainerd-Crw,MN'),
('DTL', 46.82, 95.88, 'Detroit Laks,MN'),
('DLH', 46.83, 92.18, 'Duluth,MN'),
('ELO', 47.9, 91.82, 'Ely,MN'),
('FRM', 43.65, 94.42, 'Fairmont,MN'),
('FFM', 46.3, 96.07, 'Fergus Falls,MN'),
('GPZ', 47.22, 93.52, 'Grand Rapids,MN'),
('HIB', 47.38, 92.85, 'Hibbing,MN'),
('INL', 48.57, 93.38, 'Intl Falls,MN'),
('Y69', 45.13, 94.52, 'Litchfield,MN'),
('MKT', 44.22, 93.92, 'Mankato,MN'),
('MML', 44.45, 95.82, 'Marshall Arpt,MN'),
('FCM', 44.83, 93.47, 'Minneapolis,MN'),
('MIC', 45.07, 93.38, 'Minneapolis,MN'),
('MSP', 44.88, 93.22, 'Minneapolis,MN'),
('PKD', 46.9, 95.07, 'Park Rapids,MN'),
('P39', 46.6, 94.32, 'Pequot Lake,MN'),
('RWF', 44.55, 95.08, 'Redwood Falls,MN'),
('RST', 43.92, 92.5, 'Rochester,MN'),
('STP', 44.93, 93.05, 'Saint Paul,MN'),
('STC', 45.55, 94.07, 'St Cloud,MN'),
('TVF', 48.07, 96.18, 'Thief River,MN'),
('P61', 47.58, 90.83, 'Tofte,MN'),
('D45', 48.93, 95.35, 'Warroad,MN'),
('OTG', 43.65, 95.58, 'Worthington,MN'),
('CBM', 33.65, 88.45, 'Columbus AFB,MS'),
('GTR', 33.45, 88.58, 'Golden Trian,MS'),
('GLH', 33.48, 90.98, 'Greenville,MS'),
('GWO', 33.5, 90.08, 'Greenwood,MS'),
('GPT', 30.4, 89.07, 'Gulfport,MS'),
('PIB', 31.47, 89.33, 'Hattiesburg,MS'),
('JAN', 32.32, 90.08, 'Jackson,MS'),
('BIX', 30.42, 88.92, 'Keesler AFB,MS'),
('LUL', 31.67, 89.17, 'Laurel,MS'),
('MCB', 31.18, 90.47, 'Mccomb,MS'),
('NMM', 32.55, 88.57, 'Meridian NAS,MS'),
('MEI', 32.33, 88.75, 'Meridian/Key,MS'),
('HEZ', 31.62, 91.25, 'Natchez,MS'),
('UOX', 34.39, 89.54, 'Oxford,MS'),
('TUP', 34.27, 88.77, 'Tupelo,MS'),
('COU', 38.82, 92.22, 'Columbia,MO'),
('CGI', 37.23, 89.58, 'Cp Girardeau,MO'),
('TBN', 37.75, 92.13, 'Ft Leonard,MO'),
('JEF', 38.6, 92.17, 'Jefferson City,MO'),
('JLN', 37.17, 94.5, 'Joplin,MO'),
('MCI', 39.32, 94.72, 'Kansas City,MO'),
('MKC', 39.12, 94.6, 'Kansas City,MO'),
('IRK', 40.1, 92.55, 'Kirksville,MO'),
('UMN', 37.33, 94.35, 'Monett,MO'),
('MKO', 35.66, 95.36, 'Muskogee,MO'),
('P02', 36.77, 90.47, 'Poplar Bluff,MO'),
('GVW', 38.85, 94.55, 'Richards-Geb,MO'),
('P35', 40.25, 93.72, 'Spickard,MO'),
('SGF', 37.23, 93.38, 'Springfield,MO'),
('STJ', 40.28, 95.53, 'St Joseph,MO'),
('STL', 38.75, 90.37, 'St Louis,MO'),
('SUS', 38.65, 90.63, 'StLouis/Spirit,MO'),
('VIH', 38.13, 91.77, 'Vichy/Rolla,MO'),
('H63', 37.22, 92.42, 'West Plains,MO'),
('UNO', 36.88, 91.9, 'West Plains,MO'),
('SZL', 38.73, 93.55, 'Whiteman AFB,MO'),
('BIL', 45.8, 108.53, 'Billings,MT'),
('BZN', 45.78, 111.15, 'Bozeman,MT'),
('4BQ', 45.67, 105.67, 'Broadus,MT'),
('BTM', 45.95, 112.5, 'Butte,MT'),
('CTB', 48.6, 112.37, 'Cut Bank,MT'),
('DLN', 45.25, 112.55, 'Dillon,MT'),
('3DU', 46.67, 113.15, 'Drummond,MT'),
('GGW', 48.22, 106.62, 'Glasgow,MT'),
('GDV', 47.13, 104.8, 'Glendive,MT'),
('GTF', 47.48, 111.37, 'Great Falls,MT'),
('3HT', 46.43, 109.83, 'Harlowton,MT'),
('HVR', 48.55, 109.77, 'Havre,MT'),
('HLN', 46.6, 112, 'Helena,MT'),
('JDN', 47.33, 106.93, 'Jordan,MT'),
('FCA', 48.3, 114.27, 'Kalispell,MT'),
('LWT', 47.05, 109.45, 'Lewiston,MT'),
('LVM', 45.7, 110.43, 'Livingston,MT'),
('GFA', 47.5, 111.18, 'Malmstrom,MT'),
('MLS', 46.43, 105.87, 'Miles City,MT'),
('MSO', 46.92, 114.08, 'Missoula,MT'),
('MQM', 44.57, 112.32, 'Monida,MT'),
('SDY', 47.72, 104.18, 'Sidney,MT'),
('3TH', 47.6, 115.37, 'Thompson Fal,MT'),
('WEY', 44.65, 111.1, 'W Yellowston,MT'),
('WYS', 44.68, 111.12, 'W Yellowston,MT'),
('OLF', 48.1, 105.58, 'Wolf Point,MT'),
('ANW', 42.58, 99.98, 'Ainsworth,NE'),
('AIA', 42.05, 102.8, 'Alliance,NE'),
('BIE', 40.32, 96.75, 'Beatrice,NE'),
('BBW', 41.43, 99.65, 'Broken Bow,NE'),
('BUB', 41.78, 99.15, 'Burwell,NE'),
('CDR', 42.83, 103.08, 'Chadron,NE'),
('OLU', 41.45, 97.35, 'Columbus,NE'),
('CZD', 40.87, 100, 'Cozad,NE'),
('FNB', 40.07, 95.58, 'Falls City,NE'),
('GRI', 40.97, 98.32, 'Grand Island,NE'),
('HSI', 40.6, 98.43, 'Hastings,NE'),
('6V1', 40.33, 101.39, 'Imperial,NE'),
('IML', 40.53, 101.63, 'Imperial,NE'),
('EAR', 40.73, 99, 'Kearney,NE'),
('LNK', 40.85, 96.75, 'Lincoln Muni,NE'),
('MCK', 40.22, 100.58, 'Mccook,NE'),
('MHN', 42.05, 101.05, 'Mullen,NE'),
('OFK', 41.98, 97.43, 'Norfolk,NE'),
('OVN', 41.37, 96.02, 'North Omaha,NE'),
('LBF', 41.13, 100.68, 'North Platte,NE'),
('ONL', 42.47, 98.68, 'O''neill,NE'),
('OFF', 41.12, 95.92, 'Offutt AFB,NE'),
('OMA', 41.3, 95.9, 'Omaha/Eppley,NE'),
('ODX', 41.62, 98.95, 'Ord/Sharp,NE'),
('BFF', 41.87, 103.6, 'Scottsbluff,NE'),
('SNY', 41.1, 102.98, 'Sidney Muni,NE'),
('VTN', 42.87, 100.55, 'Valentine,NE'),
('AUI', 39.83, 117.13, 'Austin,NV'),
('U31', 39.5, 117.08, 'Austin,NV'),
('BAM', 40.62, 116.87, 'Battle Mtn,NV'),
('P38', 37.62, 114.52, 'Caliente,NV'),
('EKO', 40.83, 115.78, 'Elko,NV'),
('ELY', 39.28, 114.85, 'Ely/Yelland,NV'),
('P68', 39.5, 115.97, 'Eureka,NV'),
('NFL', 39.42, 118.7, 'Fallon NAS,NV'),
('HTH', 38.55, 118.63, 'Hawthorne,NV'),
('L63', 36.53, 115.57, 'Ind Sprng Rn,NV'),
('L76', 36.57, 115.67, 'Ind Sprng Rn,NV'),
('LAS', 36.08, 115.17, 'Las Vegas,NV'),
('LOL', 40.1, 118.92, 'Lovelock,NV'),
('DRA', 36.62, 116.02, 'Mercury,NV'),
('LSV', 36.23, 115.03, 'Nellis AFB,NV'),
('OWY', 42.58, 116.17, 'Owyhee,NV'),
('RNO', 39.5, 119.78, 'Reno,NV'),
('TPH', 38.07, 117.08, 'Tonopah,NV'),
('AWH', 41.33, 116.25, 'Wildhorse,NV'),
('WMC', 40.9, 117.8, 'Winnemucca,NV'),
('UCC', 37.58, 116.08, 'Yucca Flat,NV'),
('BML', 44.58, 71.18, 'Berlin,NH'),
('CON', 43.2, 71.5, 'Concord,NH'),
('AFN', 42.8, 72, 'Jaffrey,NH'),
('EEN', 42.9, 72.27, 'Keene,NH'),
('LCI', 43.57, 71.43, 'Laconia,NH'),
('LEB', 43.63, 72.3, 'Lebanon,NH'),
('MHT', 42.93, 71.43, 'Manchester,NH'),
('MWN', 44.27, 71.3, 'Mt Washingtn,NH'),
('ASH', 42.78, 71.52, 'Nashua,NH'),
('PSM', 43.08, 70.82, 'Pease AFB,NH'),
('8B8', 44, 71.38, 'Wolfeboro,NH'),
('ACY', 39.45, 74.57, 'Atlantic Cty,NJ'),
('N78', 40.28, 74.28, 'Barnegat Ls,NJ'),
('CDW', 40.87, 74.28, 'Fairfield,NJ'),
('NEL', 40.03, 74.35, 'Lakehurst,NJ'),
('WRI', 40.02, 74.6, 'Mcguire AFB,NJ'),
('MIV', 39.37, 75.07, 'Millville,NJ'),
('MMU', 40.8, 74.42, 'Morristown,NJ'),
('EWR', 40.7, 74.17, 'Newark Intl,NJ'),
('TEB', 40.85, 74.05, 'Teterboro,NJ'),
('TTN', 40.28, 74.82, 'Trenton,NJ'),
('ABQ', 35.05, 106.6, 'Albuquerque,NM'),
('CVS', 34.38, 103.32, 'Cannon,NM'),
('CNM', 32.33, 104.27, 'Carlsbad,NM'),
('CAO', 36.45, 103.15, 'Clayton Arpt,NM'),
('4CR', 34.1, 105.68, 'Corona,NM'),
('4SL', 36.02, 106.95, 'Cuba Awrs,NM'),
('DMN', 32.25, 107.7, 'Deming,NM'),
('FMN', 36.75, 108.23, 'Farmington,NM'),
('GUP', 35.52, 108.78, 'Gallup/Clark,NM'),
('GNT', 35.17, 107.9, 'Grants,NM'),
('HOB', 32.68, 103.2, 'Hobbs,NM'),
('HMN', 32.85, 106.1, 'Holloman AFB,NM'),
('LRU', 32.3, 106.77, 'Las Cruces,NM'),
('LVS', 35.65, 105.15, 'Las Vegas,NM'),
('LAM', 35.88, 106.28, 'Los Alamos,NM'),
('4MY', 34.98, 106.05, 'Moriarity,NM'),
('E28', 32.9, 106.4, 'Northrup Str,NM'),
('RTN', 36.74, 104.5, 'Raton,NM'),
('ROW', 33.3, 104.53, 'Roswell,NM'),
('SAF', 35.62, 106.08, 'Santa Fe,NM'),
('SVC', 32.63, 108.17, 'Silver City,NM'),
('ONM', 34.07, 106.9, 'Socorro,NM'),
('E23', 36.42, 105.57, 'Taos,NM'),
('TCS', 33.23, 107.27, 'Truth Or Con,NM'),
('TCC', 35.18, 103.6, 'Tucumcari,NM'),
('2C2', 32.63, 106.4, 'White Sands,NM'),
('ALB', 42.75, 73.8, 'Albany,NY'),
('N28', 40.75, 74.37, 'Ambrose,NY'),
('BGM', 42.22, 75.98, 'Binghamton,NY'),
('BUF', 42.93, 78.73, 'Buffalo,NY'),
('DSV', 42.97, 78.2, 'Dansville,NY'),
('ELM', 42.17, 76.9, 'Elmira,NY'),
('FRG', 40.73, 73.43, 'Farmingdale,NY'),
('GTB', 44.05, 75.73, 'Fort Drum,NY'),
('GFL', 43.35, 73.62, 'Glens Falls,NY'),
('RME', 43.23, 75.4, 'Griffiss AFB,NY'),
('ISP', 40.78, 73.1, 'Islip,NY'),
('ITH', 42.48, 76.47, 'Ithaca,NY'),
('JHW', 42.15, 79.25, 'Jamestown,NY'),
('MSS', 44.93, 74.85, 'Massena,NY'),
('MSV', 41.7, 74.8, 'Monticello,NY'),
('NYC', 40.77, 73.98, 'New York,NY'),
('JFK', 40.65, 73.78, 'New York/JFK,NY'),
('LGA', 40.77, 73.9, 'New York/LGA,NY'),
('SWF', 41.5, 74.1, 'Newburgh,NY'),
('IAG', 43.1, 78.95, 'Niagara Fall,NY'),
('OGS', 44.68, 75.4, 'Ogdensburg,NY'),
('N66', 42.87, 75.12, 'Oneonta,NY'),
('PBG', 44.65, 73.47, 'Plattsburgh,NY'),
('POU', 41.63, 73.88, 'Poughkeepsie,NY'),
('ROC', 43.12, 77.67, 'Rochester,NY'),
('SLK', 44.38, 74.2, 'Saranac Lk,NY'),
('SCH', 42.85, 73.93, 'Schenectady,NY'),
('SYR', 43.12, 76.12, 'Syracuse,NY'),
('UCA', 43.15, 75.38, 'Utica,NY'),
('ART', 44, 76.02, 'Watertown,NY'),
('FOK', 40.85, 72.63, 'Westhampton,NY'),
('HPN', 41.07, 73.72, 'White Plains,NY'),
('AVL', 35.43, 82.55, 'Asheville,NC'),
('HAT', 35.27, 75.55, 'Cape Hattera,NC'),
('CLT', 35.22, 80.93, 'Charlotte,NC'),
('NKT', 34.9, 76.88, 'Cherry Point,NC'),
('2DP', 36.13, 76.5, 'Dare Co Gr,NC'),
('44W', 35.25, 75.5, 'Diamond Sho,NC'),
('ECG', 36.27, 76.18, 'Elizabeth,NC'),
('FAY', 35, 78.88, 'Fayetteville,NC'),
('FBG', 35.13, 78.93, 'Fort Bragg,NC'),
('GSO', 36.08, 79.95, 'Greensboro,NC'),
('HKY', 35.75, 81.38, 'Hickory,NC'),
('HSS', 35.9, 82.82, 'Hot Springs,NC'),
('OAJ', 34.82, 77.62, 'Jacksonville,NC'),
('ISO', 35.32, 77.63, 'Kinston,NC'),
('HFF', 35.03, 79.5, 'Mackall Aaf,NC'),
('MQI', 35.92, 75.68, 'Manteo Arpt,NC'),
('EWN', 35.08, 77.05, 'New Bern,NC'),
('NCA', 34.7, 77.43, 'New River,NC'),
('POB', 35.17, 79.02, 'Pope AFB,NC'),
('RDU', 35.87, 78.78, 'Raleigh-Durh,NC'),
('RWI', 35.85, 77.88, 'Rocky Mt,NC'),
('GSB', 35.33, 77.97, 'Seymour-John,NC'),
('SOP', 35.24, 79.39, 'Southern Pin,NC'),
('ILM', 34.27, 77.92, 'Wilmington,NC'),
('INT', 36.13, 80.23, 'Winston-Salem,NC'),
('BIS', 46.77, 100.75, 'Bismarck,ND'),
('DVL', 48.12, 98.9, 'Devil''s Lake,ND'),
('P11', 48.1, 98.87, 'Devil''s Lake,ND'),
('DIK', 46.78, 102.8, 'Dickenson,ND'),
('FAR', 46.9, 96.8, 'Fargo,ND'),
('GFK', 47.95, 97.18, 'Grand Forks,ND'),
('RDR', 47.97, 97.4, 'Grand Forks,ND'),
('JMS', 46.92, 98.68, 'Jamestown,ND'),
('P67', 46.1, 97.15, 'Lidgerwood,ND'),
('MIB', 48.42, 101.35, 'Minot AFB,ND'),
('MOT', 48.27, 101.28, 'Minot Intl,ND'),
('P24', 47.75, 101.83, 'Roseglen,ND'),
('ISN', 48.18, 103.63, 'Williston,ND'),
('UNI', 39.21, 82.23, 'Athens/Albany,OH'),
('CAK', 40.92, 81.43, 'Canton,OH'),
('CVG', 39.05, 84.67, 'Cincinnati,OH'),
('LUK', 39.1, 84.43, 'Cincinnati,OH'),
('BKL', 41.52, 81.68, 'Cleveland,OH'),
('CGF', 41.57, 81.48, 'Cleveland,OH'),
('CLE', 41.42, 81.87, 'Cleveland,OH'),
('CMH', 40, 82.88, 'Columbus,OH'),
('OSU', 40.08, 83.07, 'Columbus Osu,OH'),
('DAY', 39.9, 84.2, 'Dayton,OH'),
('FDY', 41.02, 83.67, 'Findlay,OH'),
('MFD', 40.82, 82.52, 'Mansfield,OH'),
('LCK', 39.82, 82.93, 'Rickenbacker,OH'),
('TOL', 41.6, 83.8, 'Toledo,OH'),
('LNN', 41.63, 81.4, 'Willoughby,OH'),
('FFO', 39.83, 84.05, 'Wright-Pat AFB,OH'),
('YNG', 41.27, 80.67, 'Youngstown,OH'),
('ZZV', 39.95, 81.9, 'Zanesville,OH'),
('LTS', 34.67, 99.27, 'Altus AFB,OK'),
('ADM', 34.3, 97.02, 'Ardmore,OK'),
('BVO', 36.75, 96, 'Bartlesville,OK'),
('CSM', 35.35, 99.2, 'Clinton,OK'),
('WDG', 36.38, 97.8, 'Enid,OK'),
('FSI', 34.65, 98.4, 'Fort Sill,OK'),
('GAG', 36.3, 99.77, 'Gage,OK'),
('HBR', 35, 99.05, 'Hobart,OK'),
('LAW', 34.57, 98.42, 'Lawton,OK'),
('MLC', 34.88, 95.78, 'Mcalester,OK'),
('OUN', 35.23, 97.47, 'Norman,OK'),
('OKC', 35.4, 97.6, 'Oklahoma Cty,OK'),
('PWA', 35.53, 97.65, 'Oklahoma Cty,OK'),
('PGO', 34.68, 94.62, 'Page,OK'),
('PNC', 36.73, 97.1, 'Ponca City,OK'),
('SWO', 36.16, 97.09, 'Stillwater,OK'),
('TIK', 35.42, 97.38, 'Tinker AFB,OK'),
('TUL', 36.2, 95.9, 'Tulsa,OK'),
('END', 36.33, 97.92, 'Vance AFB,OK'),
('AST', 46.15, 123.88, 'Astoria,OR'),
('3S2', 45.25, 122.75, 'Aurora,OR'),
('BKE', 44.83, 117.82, 'Baker,OR'),
('4BK', 42.08, 124.47, 'Brookings,OR'),
('BNO', 43.6, 118.95, 'Burns Arpt,OR'),
('92S', 43.38, 124.95, 'Cape Blanco,OR'),
('CZK', 45.68, 121.88, 'Cascade,OR'),
('CVO', 44.5, 123.28, 'Corvallis,OR'),
('EUG', 44.12, 123.22, 'Eugene,OR'),
('HIO', 45.53, 122.95, 'Hillsboro,OR'),
('LMT', 42.15, 121.73, 'Klamath Fall,OR'),
('LGD', 45.28, 118, 'La Grande,OR'),
('4LW', 42.18, 120.35, 'Lake View,OR'),
('MEH', 45.5, 118.4, 'Meacham,OR'),
('MFR', 42.37, 122.87, 'Medford,OR'),
('ONP', 44.63, 124.05, 'Newport,OR'),
('OTH', 43.42, 124.25, 'North Bend,OR'),
('ONO', 44.02, 117.02, 'Ontario,OR'),
('PDT', 45.68, 118.85, 'Pendleton,OR'),
('PDX', 45.6, 122.6, 'Portland,OR'),
('RDM', 44.27, 121.15, 'Redmond,OR'),
('RBG', 43.23, 123.37, 'Roseburg,OR'),
('SLE', 44.92, 123, 'Salem,OR'),
('SXT', 42.62, 123.37, 'Sexton,OR'),
('DLS', 45.62, 121.15, 'The Dalles,OR'),
('TTD', 45.55, 122.4, 'Troutdale,OR'),
('ABE', 40.65, 75.43, 'Allentown,PA'),
('AOO', 40.3, 78.32, 'Altoona,PA'),
('BVI', 40.75, 80.33, 'Beaver Falls,PA'),
('BSI', 40.27, 79.09, 'Blairsville,PA'),
('BFD', 41.8, 78.63, 'Bradford,PA'),
('DUJ', 41.18, 78.9, 'Dubois,PA'),
('ERI', 42.08, 80.18, 'Erie,PA'),
('FKL', 41.38, 79.87, 'Franklin,PA'),
('CXY', 40.22, 76.85, 'Harrisburg,PA'),
('HAR', 40.37, 77.42, 'Harrisburg,PA'),
('JST', 40.32, 78.83, 'Johnstown,PA'),
('LNS', 40.13, 76.3, 'Lancaster,PA'),
('LBE', 40.28, 79.4, 'Latrobe,PA'),
('MDT', 40.2, 76.77, 'Middletown,PA'),
('MUI', 40.43, 76.57, 'Muir,PA'),
('PNE', 40.08, 75.02, 'Nth Philadel,PA'),
('PHL', 39.88, 75.25, 'Philadelphia,PA'),
('PSB', 41.47, 78.13, 'Philipsburg,PA'),
('AGC', 40.35, 79.93, 'Pittsburgh,PA'),
('PIT', 40.5, 80.22, 'Pittsburgh,PA'),
('RDG', 40.38, 75.97, 'Reading,PA'),
('43M', 39.73, 77.43, 'Site R,PA'),
('UNV', 40.85, 77.83, 'State Colleg,PA'),
('AVP', 41.33, 75.73, 'Wilkes-Barre,PA'),
('IPT', 41.25, 76.92, 'Williamsport,PA'),
('NXX', 40.2, 75.15, 'Willow Grove,PA'),
('BID', 41.17, 71.58, 'Block Island,RI'),
('OQU', 41.6, 71.42, 'Nth Kingston,RI'),
('PVD', 41.73, 71.43, 'Providence,RI'),
('NCO', 41.36, 71.25, 'Quonset Pt NAS,RI'),
('AND', 34.5, 82.72, 'Anderson,SC'),
('NBC', 32.48, 80.72, 'Beaufort Mca,SC'),
('CHS', 32.9, 80.03, 'Charleston,SC'),
('CAE', 33.95, 81.12, 'Columbia,SC'),
('FLO', 34.18, 79.72, 'Florence,SC'),
('GMU', 34.85, 82.35, 'Greenville,SC'),
('GSP', 34.9, 82.22, 'Greenville,SC'),
('MMT', 33.92, 80.8, 'Mcentire,SC'),
('MYR', 33.68, 78.93, 'Myrtle Beach,SC'),
('CRE', 33.82, 78.72, 'Nth Myrtle B,SC'),
('SSC', 33.97, 80.47, 'Shaw AFB,SC'),
('SPA', 34.92, 81.96, 'Spartanburg,SC'),
('ABR', 45.45, 98.43, 'Aberdeen,SD'),
('BKX', 44.3, 96.8, 'Brookings,SD'),
('9V9', 43.8, 99.32, 'Chamberlain,SD'),
('CHB', 43.75, 99.32, 'Chamberlain,SD'),
('0V1', 43.77, 103.6, 'Custer,SD'),
('RCA', 44.15, 103.1, 'Ellsworth Af,SD'),
('HON', 44.38, 98.22, 'Huron,SD'),
('Y22', 45.93, 102.17, 'Lemmon,SD'),
('MHE', 43.77, 98.03, 'Mitchell,SD'),
('Y26', 45.53, 100.43, 'Mobridge,SD'),
('P05', 44.05, 101.6, 'Philip,SD'),
('PHP', 44.05, 101.6, 'Philip,SD'),
('PIR', 44.38, 100.28, 'Pierre,SD'),
('RAP', 44.05, 103.07, 'Rapid City,SD'),
('REJ', 45.16, 103.32, 'Redig,SD'),
('FSD', 43.58, 96.73, 'Sioux Falls,SD'),
('ATY', 44.92, 97.15, 'Watertown,SD'),
('YKN', 42.92, 97.38, 'Yankton,SD'),
('TRI', 36.48, 82.4, 'Bristol,TN'),
('CHA', 35.03, 85.2, 'Chattanooga,TN'),
('CKV', 36.62, 87.42, 'Clarksville,TN'),
('CSV', 35.95, 85.08, 'Crossville,TN'),
('DYR', 36.02, 89.4, 'Dyersburg,TN'),
('MKL', 35.6, 88.92, 'Jackson,TN'),
('TYS', 35.82, 83.98, 'Knoxville,TN'),
('MEM', 35.05, 90, 'Memphis Intl,TN'),
('NQA', 35.35, 89.87, 'Memphis NAS,TN'),
('MGL', 35.15, 85.51, 'Monteagle,TN'),
('BNA', 36.12, 86.68, 'Nashville,TN'),
('MQY', 36, 86.5, 'Smyrna,TN'),
('ABI', 32.42, 99.68, 'Abilene,TX'),
('ALI', 27.73, 98.03, 'Alice,TX'),
('AMA', 35.23, 101.7, 'Amarillo,TX'),
('AUS', 30.3, 97.7, 'Austin,TX'),
('BSM', 30.2, 97.68, 'Bergstrom Af,TX'),
('BGS', 32.39, 101.48, 'Big Sky,TX'),
('HCA', 32.3, 101.45, 'Big Spring,TX'),
('BRO', 25.9, 97.43, 'Brownsville,TX'),
('BWD', 31.79, 98.96, 'Brownwood,TX'),
('FWH', 32.78, 97.43, 'Carswell AFB,TX'),
('NIR', 28.37, 97.67, 'Chase NAS,TX'),
('CDS', 34.43, 100.28, 'Childress,TX'),
('CLL', 30.58, 96.37, 'College Stn,TX'),
('CRP', 27.77, 97.5, 'Corpus Chrst,TX'),
('NGP', 27.7, 97.28, 'Corpus Chrst,TX'),
('COT', 28.45, 99.22, 'Cotulla,TX'),
('DWH', 30.07, 95.55, 'D.w. Hooks,TX'),
('DHT', 36.02, 102.55, 'Dalhart,TX'),
('NBE', 32.73, 96.97, 'Dallas NAS,TX'),
('ADS', 32.97, 96.83, 'Dallas/Addis,TX'),
('DFW', 32.9, 97.03, 'Dallas/FW,TX'),
('DAL', 32.85, 96.85, 'Dallas/Love,TX'),
('RBD', 32.68, 96.87, 'Dallas/Redbr,TX'),
('DRT', 29.37, 100.92, 'Del Rio,TX'),
('DYS', 32.43, 99.85, 'Dyess AFB,TX'),
('ELP', 31.8, 106.4, 'El Paso,TX'),
('EFD', 29.62, 95.17, 'Ellington Af,TX'),
('FTW', 32.82, 97.35, 'Fort Worth,TX'),
('HLR', 31.15, 97.72, 'Ft Hood Aaf,TX'),
('GLS', 29.27, 94.87, 'Galveston,TX'),
('GRK', 31.07, 97.83, 'Gray AFB,TX'),
('GVT', 33.07, 96.07, 'Greenville,TX'),
('GDP', 31.83, 104.8, 'Guadalupe Ps,TX'),
('HRL', 26.23, 97.67, 'Harlingen,TX'),
('HDO', 29.35, 99.17, 'Hondo,TX'),
('IAH', 29.97, 95.35, 'Houston,TX'),
('HOU', 29.65, 95.28, 'Houston/Hobby,TX'),
('JCT', 30.5, 99.77, 'Junction,TX'),
('SKF', 29.38, 98.58, 'Kelly AFB,TX'),
('ERV', 29.98, 99.08, 'Kerrville,TX'),
('ILE', 31.08, 97.68, 'Killeen,TX'),
('NQI', 27.5, 97.82, 'Kingsville,TX'),
('LRD', 27.53, 99.47, 'Laredo Intl,TX'),
('DLF', 29.37, 100.78, 'Laughlin AFB,TX'),
('GGG', 32.38, 94.72, 'Longview,TX'),
('LBB', 33.65, 101.82, 'Lubbock,TX'),
('LFK', 31.23, 94.75, 'Lufkin,TX'),
('MRF', 30.37, 104.02, 'Marfa,TX'),
('MFE', 26.18, 98.23, 'Mcallen,TX'),
('MAF', 31.95, 102.18, 'Midland,TX'),
('MWL', 32.78, 98.07, 'Mineral Wlls,TX'),
('PSX', 28.72, 96.25, 'Palacios,TX'),
('PRX', 33.63, 95.45, 'Paris/Cox,TX'),
('PVW', 34.17, 101.71, 'Plainview,TX'),
('BPT', 30.58, 94.02, 'Port Arthur,TX'),
('RND', 29.53, 98.28, 'Randolph AFB,TX'),
('REE', 33.6, 102.05, 'Reese AFB,TX'),
('RKP', 28.08, 97.03, 'Rockport,TX'),
('SJT', 31.37, 100.5, 'San Angelo,TX'),
('SAT', 29.53, 98.47, 'San Antonio,TX'),
('SSF', 29.33, 98.47, 'San Antonio,TX'),
('P07', 30.17, 102.42, 'Sanderson,TX'),
('F39', 33.72, 96.67, 'Sherman-Deni,TX'),
('T46', 28.03, 95.87, 'South Brazos,TX'),
('SEP', 32.22, 98.18, 'Stephenville,TX'),
('TPL', 31.15, 97.42, 'Temple,TX'),
('TYR', 32.37, 95.4, 'Tyler/Pounds,TX'),
('VCT', 28.85, 96.92, 'Victoria,TX'),
('ACT', 31.62, 97.22, 'Waco-Madison,TX'),
('SPS', 33.98, 98.5, 'Wichita Flls,TX'),
('INK', 31.78, 103.2, 'Wink,TX'),
('4BL', 38.03, 109.78, 'Blanding,UT'),
('U17', 37.5, 110.7, 'Bullfrog Mar,UT'),
('CDC', 37.7, 113.1, 'Cedar City,UT'),
('U24', 39.33, 112.58, 'Delta,UT'),
('DPG', 40.2, 112.93, 'Dugway Prvgr,UT'),
('U16', 41.05, 113.07, 'Eagle Range,UT'),
('U28', 39, 110.15, 'Green River,UT'),
('4HV', 38.37, 110.72, 'Hanksville,UT'),
('HIF', 41.12, 111.97, 'Hill AFB,UT'),
('LGU', 41.78, 111.85, 'Logan,UT'),
('MLF', 38.72, 113.03, 'Milford,UT'),
('CNY', 38.77, 109.75, 'Moab,UT'),
('OGD', 41.18, 112.02, 'Ogden,UT'),
('PUC', 39.62, 110.75, 'Price/Carbon,UT'),
('PVU', 40.22, 111.72, 'Provo,UT'),
('U67', 40.5, 110.63, 'Roosevelt,UT'),
('SGU', 37.08, 113.6, 'Saint George,UT'),
('SLC', 40.78, 111.97, 'Salt Lake Ct,UT'),
('T62', 40.17, 112.2, 'Tooele,UT'),
('VEL', 40.45, 109.52, 'Vernal,UT'),
('ENV', 41.22, 114.05, 'Wendover,UT'),
('BTV', 44.47, 73.15, 'Burlington,VT'),
('MPV', 44.2, 72.57, 'Montpelier,VT'),
('EFK', 45.55, 72.33, 'Newport,VT'),
('RUT', 43.53, 73.95, 'Rutland,VT'),
('9B2', 44.42, 72.02, 'St Johnsbury,VT'),
('MNW', 42.88, 72.88, 'Wilmington,VT'),
('CHO', 38.13, 78.45, 'Charlottesvi,VA'),
('W39', 37.5, 76.2, 'Chesapeake,VA'),
('DAN', 36.57, 79.33, 'Danville,VA'),
('DAA', 38.72, 77.18, 'Fort Belvoir,VA'),
('FAF', 37.13, 76.62, 'Fort Eustis,VA'),
('HSP', 37.95, 79.82, 'Hot Springs,VA'),
('LFI', 37.08, 76.37, 'Langley AFB,VA'),
('LYH', 37.33, 79.2, 'Lynchburg,VA'),
('PHF', 37.13, 76.5, 'Newport News,VA'),
('NGU', 36.93, 76.28, 'Norfolk NAS,VA'),
('ORF', 36.9, 76.2, 'Norfolk Rgnl,VA'),
('NTU', 36.82, 76.03, 'Oceana NAS,VA'),
('NYG', 38.5, 77.3, 'Quantico Mca,VA'),
('RIC', 37.5, 77.33, 'Richmond,VA'),
('ROA', 37.32, 79.97, 'Roanoke Muni,VA'),
('SHD', 38.27, 78.85, 'Staunton,VA'),
('VQN', 36.95, 78.98, 'Volens,VA'),
('WAL', 37.85, 75.48, 'Wallops Sta,VA'),
('BLI', 48.8, 122.53, 'Bellingham,WA'),
('PWT', 47.48, 122.77, 'Bremerton,WA'),
('75S', 48.5, 122.33, 'Burlington,WA'),
('63S', 48.88, 118.47, 'Colville,WA'),
('EPH', 47.32, 119.52, 'Ephrata,WA'),
('PAE', 47.92, 122.28, 'Everet/Paine,WA'),
('SKA', 47.62, 117.65, 'Fairchild,WA'),
('GRF', 47.08, 122.58, 'Fort Lewis,WA'),
('HMS', 46.57, 119.6, 'Hanford,WA'),
('HQM', 46.97, 123.97, 'Hoquiam,WA'),
('TCM', 47.15, 122.48, 'Mcchord AFB,WA'),
('MWH', 47.2, 119.32, 'Moses Lake,WA'),
('76S', 48.25, 122.68, 'Oak Harbor,WA'),
('OLM', 46.97, 122.9, 'Olympia,WA'),
('4OM', 48.42, 119.53, 'Omak,WA'),
('PSC', 46.27, 119.12, 'Pasco,WA'),
('CLM', 48.12, 123.5, 'Port Angeles,WA'),
('NOW', 48.22, 123.67, 'Port Angeles,WA'),
('PUW', 46.75, 117.12, 'Pullman,WA'),
('UIL', 47.95, 124.55, 'Quillayute,WA'),
('RNT', 47.5, 122.22, 'Renton,WA'),
('SEA', 47.45, 122.3, 'Seattle,WA'),
('BFI', 47.53, 122.3, 'Seattle/Boeing,WA'),
('SHN', 47.25, 123.15, 'Shelton,WA'),
('GEG', 47.63, 117.53, 'Spokane,WA'),
('SFF', 47.67, 117.33, 'Spokane,WA'),
('SMP', 47.28, 121.33, 'Stampede Pas,WA'),
('TIW', 47.27, 122.58, 'Tacoma,WA'),
('TDO', 46.48, 122.8, 'Toledo,WA'),
('ALW', 46.1, 118.28, 'Walla Walla,WA'),
('EAT', 47.4, 120.2, 'Wenatchee,WA'),
('NUW', 48.35, 122.65, 'Whidbey Is,WA'),
('YKM', 46.57, 120.53, 'Yakima,WA'),
('BKW', 37.78, 81.12, 'Beckley,WV'),
('BLF', 37.3, 81.22, 'Bluefield,WV'),
('CRW', 38.37, 81.6, 'Charleston,WV'),
('CKB', 39.28, 80.23, 'Clarksburg,WV'),
('EKN', 38.88, 79.85, 'Elkins,WV'),
('HTS', 38.37, 82.55, 'Huntington,WV'),
('LWB', 37.87, 80.4, 'Lewisburg,WV'),
('MRB', 39.4, 77.98, 'Martinsburg,WV'),
('MGW', 39.65, 79.92, 'Morgantown,WV'),
('PKB', 39.35, 81.43, 'Parkersburg,WV'),
('HLG', 40.18, 80.65, 'Wheeling,WV'),
('SSU', 37.46, 80.2, 'White Sulph,WV'),
('ATW', 44.25, 88.52, 'Appleton,WI'),
('EAU', 44.87, 91.48, 'Eau Claire,WI'),
('GRB', 44.48, 88.13, 'Green Bay,WI'),
('JVL', 42.62, 89.03, 'Janesville,WI'),
('LSE', 43.87, 91.25, 'La Crosse,WI'),
('LNR', 43.2, 90.18, 'Lone Rock,WI'),
('MSN', 43.13, 89.33, 'Madison,WI'),
('MTW', 44.13, 87.67, 'Manitowac,WI'),
('MKE', 42.95, 87.9, 'Milwaukee,WI'),
('MWC', 43.12, 88.05, 'Milwaukee,WI'),
('CWA', 44.78, 89.67, 'Mosinee,WI'),
('EEW', 44.22, 88.53, 'Neenah,WI'),
('OSH', 44, 88.57, 'Oshkosh,WI'),
('RHI', 45.63, 89.45, 'Rhinelander,WI'),
('RIE', 45.48, 91.72, 'Rice Lake,WI'),
('VOK', 43.93, 90.27, 'Volk Fld,WI'),
('AUW', 44.92, 89.62, 'Wausau,WI'),
('BPI', 42.57, 110.1, 'Big Piney,WY'),
('CPR', 42.92, 106.47, 'Casper,WY'),
('CYS', 41.15, 104.82, 'Cheyenne,WY'),
('COD', 44.52, 109.02, 'Cody,WY'),
('4DG', 42.75, 105.38, 'Douglas,WY'),
('EVW', 41.33, 111, 'Evanston,WY'),
('GCC', 44.35, 105.53, 'Gillette,WY'),
('JAC', 43.6, 110.73, 'Jackson,WY'),
('LND', 42.82, 108.73, 'Lander,WY'),
('LAR', 41.32, 105.68, 'Laramie,WY'),
('4MC', 44.35, 104.81, 'Moorcroft,WY'),
('RWL', 41.8, 107.2, 'Rawlins,WY'),
('RIW', 43.05, 108.45, 'Riverton,WY'),
('RKS', 41.6, 109.07, 'Rock Springs,WY'),
('SHR', 44.77, 106.97, 'Sheridan,WY'),
('WRL', 43.97, 107.97, 'Worland,WY'),
('P60', 44.55, 110.42, 'Yellowstone,WY')
 		");
}

function anoaawf_uninstall()
{
	global $wpdb;
        $table = $wpdb->prefix."noaa";
        
        $wpdb->query("DROP TABLE IF EXISTS $table");
}

register_activation_hook(__FILE__,'anoaawf_install');
register_activation_hook(__FILE__,'anoaawf_install_data');
register_deactivation_hook( __FILE__, 'anoaawf_uninstall' );

//include css
function anoaawf_head()
{
	echo "\n";
	echo "<!-- Advanced NOAA Weather Forecast css -->\n";
	echo "<style>\n";
?>
	.anoaawf-current-cond-data-title
	{
		font-weight: bold;
	}
	#anoaawf-current-cond-weather-summary
	{
		font-size: 14px;
		font-weight: bold;
		color: #000066;
	}
	.anoaawf-current-cond
	{
		text-align: center !important;
	}
	#anoaawf-current-cond-desc
	{
		font-weight: bold;
	}
<?php
	echo "</style>\n";
	echo "\n";
}

global $wpdb;

class NOAA_Seven_Days_Forecast extends WP_Widget {	
	/** constructor */
	function __construct() {
		parent::WP_Widget( /* Base ID */'noaa_7_days_forecast', /* Name */'NWF: 7 Days Forecast', array( 'description' => 'Display 7 days forecast for a specific location in US.' ) );
	}

	/** @see WP_Widget::widget */
	function widget( $args, $instance ) {
	global $wpdb;	
		extract( $args );
		
		$zipcode = $instance['zip_code']; //"rextangtw";
		$title = $instance['page_title'];
		
		$sqlGetLocation=$wpdb->get_results("select * from wp_noaa where Location = '" . $zipcode . "'");
		
		$xml = simplexml_load_file('http://forecast.weather.gov/MapClick.php?lat=' . $sqlGetLocation[0]->Lat . '000&lon=-' . $sqlGetLocation[0]->Lon . '000&FcstType=xml');
		
		echo $before_widget;
		echo $before_title . $title . $after_title;
		echo $zipcode;
		
		//print_r( $xml );
		?>	
			<table style=" width: 100%; border-radius: 3px ; -moz-border-radius: 3px ;">
		<?php 	
			$i=0;
			while( $i < count($xml->period) ) 
			{
		?>
			<tr>
			 <td style="width: 35%; padding: 5px; text-align: center;"><br/><img src ="http://mobile.wrh.noaa.gov/weather/images/fcicons/<?php echo "{$xml->period[$i]->image}"; ?>" width="50px;"><br/><br/><b><?php echo $xml->period[$i]->weather; ?></b><br/><b>Temp: <?php echo $xml->period[$i]->temp; ?> &#176;F</b></td>
			 <td style="padding: 5px; text-align: justify; margin-top: 0px !important;"><b><?php echo $xml->period[$i]->valid; ?></b><br/><p style="font-size: 11px;"><?php echo $xml->period[$i]->text; ?></p></td>			 
			</tr>
			<tr><td colspan="2"><hr></td></tr>
		<?php	
			$i++;
			} 
		?>
			</table>
		<?php		
		echo $after_widget;
	}

	/** @see WP_Widget::update */
	function update( $new_instance, $old_instance ) {
		$instance = $old_instance;
		$instance['page_title'] = strip_tags($new_instance['page_title']);
		$instance['zip_code'] = strip_tags($new_instance['zip_code']);
		return $instance;
	}

	/** @see WP_Widget::form */
	function form( $instance ) {
	global $wpdb;
		if ( $instance ) {
			$title = esc_attr( $instance[ 'page_title' ] );
			$zipcode = esc_attr( $instance[ 'zip_code' ] );
		}
		else {
			$title = __( '7 Days Forecast', 'text_domain' );
			$zipcode = "";
		}
		?>
		
		<p>
		<label for="<?php echo $this->get_field_id('page_title'); ?>"><?php _e('Widget Title:'); ?></label> 
		<input class="widefat" id="<?php echo $this->get_field_id('page_title'); ?>" name="<?php echo $this->get_field_name('page_title'); ?>" type="text" value="<?php echo $title; ?>" />
		</p>
		
		<p>
		<label for="<?php echo $this->get_field_id('zip_code'); ?>"><?php _e('Location:'); ?></label> 
		<select class="widefat" id="<?php echo $this->get_field_id('zip_code'); ?>" name="<?php echo $this->get_field_name('zip_code'); ?>">
		 <?php 
		  $sqlGetLocation=$wpdb->get_results("select * from wp_noaa");
		   $i=0;
		  while( $i < count( $sqlGetLocation ) )
		  {
		  ?>
		  	<option value = "<?php echo "{$sqlGetLocation[$i]->Location}"; ?>" <?php selected( $zipcode, $sqlGetLocation[$i]->Location ); ?> ><?php echo $sqlGetLocation[$i]->Location; ?></option>
		  <?php
		  	$i++;
		  }
		 ?>		 
		</select>
		</p>
		
		
		<?php 
	}

}

class NOAA_Current_Condition_Forecast extends WP_Widget {	
	/** constructor */
	function __construct() {
		parent::WP_Widget( /* Base ID */'noaa_current_condition_forecast', /* Name */'NWF: Current Condition', array( 'description' => 'Display current condition for a specific place in US.' ) );
	}

	/** @see WP_Widget::widget */
	function widget( $args, $instance ) {
	global $wpdb;	
		extract( $args );
		
		$zipcode = $instance['zip_code']; //"rextangtw";
		$title = $instance['page_title'];
		
		$sqlGetLocation=$wpdb->get_results("select * from wp_noaa where Location = '" . $zipcode . "'");
		
		$xml = simplexml_load_file('http://forecast.weather.gov/MapClick.php?lat=' . $sqlGetLocation[0]->Lat . '000&lon=-' . $sqlGetLocation[0]->Lon . '000&FcstType=dwml', "SimpleXMLElement");
		
		echo $before_widget;
		echo $before_title . $title . $after_title;
		echo $zipcode;
		?>	
		<table border="0">
		 <tr><td colspan="2"><span id="anoaawf-current-cond-desc"><?php echo $xml->data[0]->location->description; ?></span></td></tr>
		 <tr><td colspan="2"><span class="anoaawf-current-cond">Lat: <?php echo $xml->data[0]->location->point->attributes()->latitude; ?> Lon: <?php echo $xml->data[0]->location->point->attributes()->longitude; ?></span></td></tr>
		 <tr><td colspan="2"><span class="anoaawf-current-cond">Valid for: <?php echo date( "d M h:i", strtotime( $xml->data[1]->{'time-layout'}->{'start-valid-time'} ) ); ?></span></td></tr>
		 <tr><td style="padding: 5px; text-align: center;"><br/>
		  	<img src="<?php echo $xml->data[1]->parameters->{'conditions-icon'}->{'icon-link'}; ?>" width="50px;"><br/><span id="anoaawf-current-cond-weather-summary"><?php echo $xml->data[1]->parameters->weather->{'weather-conditions'}[0]->attributes()->{'weather-summary'}; ?></span><br/>	     
		  	<?php echo $xml->data[1]->parameters->temperature[0]->value; ?>&#176;F (<?php echo fahr_to_cel( $xml->data[1]->parameters->temperature[0]->value ); ?>)
		     </td>
		     <td>
		     	<table border="0">
		     	 <tr><td><span class="anoaawf-current-cond-data-title">Humidity:</span></td><td><?php echo $xml->data[1]->parameters->humidity->value; ?>%</td></tr>
		     	 <tr><td><span class="anoaawf-current-cond-data-title">Wind Speed:</span></td><td><?php echo $xml->data[1]->parameters->{'wind-speed'}[1]->value; ?> MPH</td></tr>
		     	 <tr><td><span class="anoaawf-current-cond-data-title">Barometer:</span></td><td><?php echo $xml->data[1]->parameters->pressure->value; ?> in</td></tr>
		     	 <tr><td><span class="anoaawf-current-cond-data-title">Dewpoint:</span></td><td><?php echo $xml->data[1]->parameters->temperature[1]->value; ?>&#176;F (<?php echo fahr_to_cel( $xml->data[1]->parameters->temperature[1]->value ); ?>)</td></tr>
		     	 <tr><td><span class="anoaawf-current-cond-data-title">Visibility:</span></td><td><?php echo $xml->data[1]->parameters->weather->{'weather-conditions'}[1]->value->visibility; ?> Miles</td></tr>
		     	</table>
		     </td></tr>
		</table>
		<?php		
		echo $after_widget;
	}

	/** @see WP_Widget::update */
	function update( $new_instance, $old_instance ) {
		$instance = $old_instance;
		$instance['page_title'] = strip_tags($new_instance['page_title']);
		$instance['zip_code'] = strip_tags($new_instance['zip_code']);
		return $instance;
	}

	/** @see WP_Widget::form */
	function form( $instance ) {
	global $wpdb;
		if ( $instance ) {
			$title = esc_attr( $instance[ 'page_title' ] );
			$zipcode = esc_attr( $instance[ 'zip_code' ] );
		}
		else {
			$title = __( 'Current Conditions', 'text_domain' );
			$zipcode = "";
		}
		?>
		
		<p>
		<label for="<?php echo $this->get_field_id('page_title'); ?>"><?php _e('Widget Title:'); ?></label> 
		<input class="widefat" id="<?php echo $this->get_field_id('page_title'); ?>" name="<?php echo $this->get_field_name('page_title'); ?>" type="text" value="<?php echo $title; ?>" />
		</p>
		
		<p>
		<label for="<?php echo $this->get_field_id('zip_code'); ?>"><?php _e('Location:'); ?></label> 
		<select class="widefat" id="<?php echo $this->get_field_id('zip_code'); ?>" name="<?php echo $this->get_field_name('zip_code'); ?>">
		 <?php 
		  $sqlGetLocation=$wpdb->get_results("select * from wp_noaa");
		   $i=0;
		  while( $i < count( $sqlGetLocation ) )
		  {
		  ?>
		  	<option value = "<?php echo "{$sqlGetLocation[$i]->Location}"; ?>" <?php selected( $zipcode, $sqlGetLocation[$i]->Location ); ?> ><?php echo $sqlGetLocation[$i]->Location; ?></option>
		  <?php
		  	$i++;
		  }
		 ?>		 
		</select>
		</p>
		
		
		<?php 
	}

}

function fahr_to_cel( $fahr )
	{
		$cel = ( ( $fahr - 32 ) * 5 ) / 9;
		return round( $cel, 2 ) . " &#176;C";
	}

add_action( 'widgets_init', create_function( '', 'register_widget("NOAA_Seven_Days_Forecast");' ) );
add_action( 'widgets_init', create_function( '', 'register_widget("NOAA_Current_Condition_Forecast");' ) );

?>